# Filename: tri_set_properties_shading.py
# Purpose: Set the shading properties of a triangulation.
# Returns: Void.

from maptek import vulcan

input_tri = 'topo.00t' # input triangulation

# property list
# SHADED: True = 1; False = 0
# WIREFRAME: True = 1; False = 0
# LINES: Shading with or without lines. True = 1; False = 0

with vulcan.triangulation(input_tri,'w') as tri: # Open triangulation in write mode
    props = tri.get_properties()
    props['SHADED'] = 0 
    props['WIREFRAME'] = 1
    props['LINES'] = 0    
    tri.set_properties(props)